Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Update user notification settings

Prev Next
Post
/identity/users/{userId}/notificationSettings

Updates the options and preferences for notifications.
Required permissions: WRITE_USER.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Path parameters
userId
stringRequired

The id fo the user whose notification settings must be updated. Use 'me' for the current logged in user.

Minimum1.0
Exampleabcd1234
Body parameters

The new notification settings.

Expand All
object

User notification settings.

channels
object

Delivery channels through which notifications can be sent.

email
boolean

Whether notifications are delivered via email.

push
boolean

Whether notifications are delivered via push notification.

allLocations
boolean

If true, notifications apply to all locations and the locationIds list is ignored.

allTopics
boolean

If true, notifications apply to all topics and the topics list is ignored.

severities
object

Severity levels for which notifications are enabled.

informational
boolean

Whether informational-severity notifications are enabled.

warning
boolean

Whether warning-severity notifications are enabled.

critical
boolean

Whether critical-severity notifications are enabled.

topics
Array of string

List of topics the subscription is limited to. Ignored when allTopics is true.

string

A topic name.

locationIds
Array of string

List of location identifiers the subscription is limited to. Ignored when allLocations is true.

string

A unique location identifier.

Responses
201

Successful creation.

Expand All
object

The bean providing organization details.

id
string

The organization object identifier.

name
string

The name of the organization.

country
string

The country of the organization.

countryIsoCode
string

The country ISO Code of the organization.

timezone
string

The timezone used for date/times localization (e.g. Europe/Rome).

parent
object

The parent organization identifier (required only for creation).

id
string
Example1234abcd
400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error